Subject: [RFD] Proposal for git-svn: storing SVN metadata (git-svn-id) in notes

From: Jakub Narebski <[email-masked]>
Date: Sat, 28 May 2011 11:54:23 +0200

Now that git supports annotating comments with `git notes` utility,
could we have an option to git-svn which would make it store SVN 
metadata, i.e. git-svn-id: lines using git-notes (separate svnmetadata 
or git-svn notes ref)?

This way we wouldn't have those ugly git-svn-id lines in log (unless 
requested), and droping them would be as simple as deleting ref - no 
history rewriting required.

Of course this requires git-svn to make use of those notes to get SVN 
metadata...

Eric, from what I remember you don't have time nor inclination for 
adding new features to git-svn, is it?

-- 
Jakub Narebski
Poland